org.keycloak.models.map.user

## Class MapUserEntity

- java.lang.Object
- - org.keycloak.models.map.user.AbstractUserEntity<UUID>
  - - org.keycloak.models.map.user.MapUserEntity

- All Implemented Interfaces:
    AbstractEntity<UUID>

      public class MapUserEntity
      extends AbstractUserEntity<UUID>

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static Comparator<MapUserEntity>` | `COMPARE_BY_USERNAME`

    - ### Fields inherited from class org.keycloak.models.map.user.AbstractUserEntity

      `updated`

  - ### Constructor Summary

    Constructors
    Modifier | Constructor and Description
    --- | ---
    `protected` | `MapUserEntity()`
    `` | `MapUserEntity(UUID id, String realmId)`

  - ### Method Summary

    - ### Methods inherited from class org.keycloak.models.map.user.AbstractUserEntity

      `addCredential, addFederatedIdentity, addGroupsMembership, addRequiredAction, addRolesMembership, addUserConsent, getAttribute, getAttributes, getCreatedTimestamp, getCredential, getCredentialIndex, getCredentials, getEmail, getEmailConstraint, getFederatedIdentities, getFederatedIdentity, getFederationLink, getFirstName, getGroupsMembership, getId, getLastName, getNotBefore, getRealmId, getRequiredActions, getRolesMembership, getServiceAccountClientLink, getUserConsent, getUserConsents, getUsername, isEmailVerified, isEnabled, isUpdated, moveCredential, removeAttribute, removeCredential, removeFederatedIdentity, removeGroupsMembership, removeRequiredAction, removeRolesMembership, removeUserConsent, setAttribute, setAttributes, setCreatedTimestamp, setEmail, setEmailConstraint, setEmailVerified, setEnabled, setFederatedIdentities, setFederationLink, setFirstName, setGroupsMembership, setLastName, setNotBefore, setRequiredActions, setRolesMembership, setServiceAccountClientLink, setUsername, updateCredential, updateFederatedIdentity`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### COMPARE_BY_USERNAME

          public static final Comparator<MapUserEntity> COMPARE_BY_USERNAME

  - ### Constructor Detail

    - #### MapUserEntity

          protected MapUserEntity()

    - #### MapUserEntity

          public MapUserEntity(UUID id,
                               String realmId)

Copyright © 2021 JBoss by Red Hat. All rights reserved.